package com.qiyou.mb.android.utils.enums;
/*
 * available status
 */
public enum TrackAvStatus {
ACTIVE(0),INACTIVE(1),DELETED(2),PUBLIC(3),PRIVATE(4),CYCLE(5);

TrackAvStatus(int status){
this.status=status;
}
private int status=0;
@Override
public String toString() {

return String.valueOf(this.status);

}
public int toInt() {

return status;

}
public static TrackAvStatus valueOf(int type) {
switch(type){
	case 0:{return ACTIVE;}
	case 1:{return INACTIVE;}
	case 2:return DELETED; 
	case 3:{return PUBLIC;}
	case 4:return PRIVATE; 
	case 5:return CYCLE; 
	default: return ACTIVE;
	} 
}
}
